<?php
/**
 * @package SJ Responsive Listing for Zoo
 * @version 1.0.0
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2014 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 */

defined('_JEXEC') or die;

require_once dirname(__FILE__) . '/core/helper.php';

$layout = $params->get('layout', 'default');

$list = ZooResponsiveListingHelper::getList($params);

$is_ajax = !empty($_SERVER['HTTP_X_REQUESTED_WITH']) && strtolower($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest';
$is_ajax = $is_ajax && JRequest::getVar('is_ajax', 0);
if ($is_ajax) {
    $sj_module_id = JRequest::getVar('sj_module_id', null);
    if ($sj_module_id == $module->id) {
        $result = new stdClass();
        ob_start();
        require JModuleHelper::getLayoutPath($module->module, $layout . '_items');
        $buffer = ob_get_contents();
        $result->items_markup = preg_replace(
            array(
                '/ {2,}/',
                '/<!--.*?-->|\t|(?:\r?\n[ \t]*)+/s'
            ),
            array(
                ' ',
                ''
            ),
            $buffer
        );
        ob_end_clean();
        die(json_encode($result));
    }
}

	require JModuleHelper::getLayoutPath($module->module, $layout);
	require JModuleHelper::getLayoutPath($module->module, $layout . '_js');
